@font-face {
  font-family: Aeonik;
  src: url('Aeonik/Aeonik-Regular.otf')
}
:root {
  --hover: #666666;
  --green: rgb(0,116,81);
  --color: #ffffff;
  --background: #000000;
}
* {
  font-family: 'Aeonik',Sans-Serif;
  cursor: none;
}
  body {
    margin: 0;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    heightx: 100%;
    box-sizing: border-box;
    color: white;
    font-family: Arial, sans-serif;
    background: #D3DCDE;
    backgroundx-irmage: radial-gradient(circle,lightgreen, darkgreen);
    background-image: radial-gradient(circle,rgb(13,67,13), rgb(0,9,0));
}

img {
  width: 35px;
  height: 35px;
  
}

.top-barm {
    display: flex;
    padding: 10px;
    flex-direction: column;
    position: absolute;
}

.counter {
    width: auto;
    font-size: 35px;
    font-weight: bold;
    position: relative;
}
.tap-count {
    font-size: 15px;
    font-weight: bold;
    margin-left: 20px;padding: 8px;
    
}

.progress-container {
  width: 100%;
  position: absolute;
  displaym: flex;
  margin: auto;
  justify-content: center;
  align-items: center;
  bottom: 70px;
  left: 0;
  height: 50px;
}

.progress-bar {
    width: 90%;
    background-color: black;
    border-radius: 10px;
    overflow: hidden;
    height: 10px;
    margin: auto;
}

.progress {
    width: 100%; /* Initially full */
    height: 10px;
    background-color: #095733;
}

.coin-container {
    position: relative;
    width: 100%;
    height: calc(100vh - 50px);
    display: flex;
    justify-content: center;
    align-items: center;
}

.tap-coin {backgroundm: red;transition: .1s;
  position: fixed;
  top: 60%;
  left: 50%;
  transform: translate(-50%,-60%);
  background-size: 250px 200px;
  width: 260px; /* Larger coin size */
height: 260px; /* Larger coin size */
background-image: url('motcoin.png'); /* Corrected background image syntax */
background-repeat: no-repeat; /* Ensures the image is not repeated */
background-position: center center; /* Centers the image */
background-size: cover; /* Scales the image to fit the container */
cursor: pointer; /* Pointer cursor */
border-radius: 90%;
}


.rotate {
  transform: translate(-50%,-60%) rotateY(20deg);
}

.coin {
  position: absolute;
  width: 30px; /* Larger coin size */
height: 30px;
font-weight: bold;
font-size: 24px;
background-repeat: no-repeat; /* Ensures the image is not repeated */
background-position: center center; /* Centers the image */
background-size: contain; /* Scales the image to fit the container */
cursor: pointer; /* Pointer cursor */
    
    background-size: contain;
    animation: float 1s ease-out forwards; /* Faster animation */
}

@keyframes float {
    0% {
        transform: translateY(0);
        opacity: 1;
    }
    100% {
        transform: translateY(-80vh);
        opacity: 0;
    }
}








#loading-bar {
    position: fixed;
    top: 0;
    left: 0;
    width: 0;
    height: ;
    background-color: darkgreen; /* Change the color here */
    transition: width 0.2s ease-in-out;
}

footer {
  display: flex;
  width:  90%;
  position: fixed;
  bottom: 15px;
  left: 50%;
  height: 60px;
  display: flex;
  align-items: Center;
  justify-content: center;
  margin: auto;transform: translateX(-50%);
  border-radius: 25px;background: black;
}

footer a {
  margin: auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-decoration: none;gap: 6px;
}footer a p {
  font-size: 9px;
  color: var(--hover);
  margin: 0;
}

footer a:hover svg path ,footer a:hover p {
  fill: var(--green);
  color: var(--green);
}
footer a:hover svg .wallet_p {
    stroke: var(--grern);
}

  stroke: red;
footer a:hover svg .wallet_p {
  fill: none;
}

.header_nav {
  height: 100px;
  top: 0;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;gap: 2%;
}

.header_nav a {
  text-decoration: none;
  padding: 2px 15px;
  background: rgba(255,255,255,0.10);
  border-radius: 10px;
  color: green;
  font-weight: bold;
  font-size: 18px;
  margin: auto;
  width: auto;
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 6px;
  width: auto;
  min-width: 80px;
  max-width: 200px;
}

.header_nav a .header_right p {
  font-size: 12px;
  font-weight: bold;
  padding: 0;
  margin: 3px;
  width: 100%;
}

.header_nav a .header_right p:nth-child(1) {
  font-size: 9px;
  font-weight: normal;
  justify-content: left;
  justify-items: left;
}

.header_nav a .header_right {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.header_nav a .rank {
  position: ;
}

.daily_gift {
  display: flex;
  width: 90%;
  position: absolute;
  margin: auto;
  justify-content: space-between;gap: auto;
  align-items: center;
  left: 9px;
}

.daily_gift button {
  border: none;
  background-image: linear-gradient(to top left, rgb(0,97,56), rgb(0,63,44));
  outline: none;
  color: white;
  padding: 5px 10px;
  border-radius: 5px;
}

.join {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: left;
  align-items: center;
  width: 100%;
  height: auto;
  gap: 9px;
}

.social_ {
  display: flex;
  width: 90%;
  align-items: center;
  justify-content: left;
  border: none;
  outline: none;
  padding: 15px 5px;
  gap: 5px;
  background: Black;
  color: white;
  border-radius: 15px;
}

.social_ .right {
  margin: auto 5px auto auto;
}

color {
  color: #5c5c03;
  font-weight: bold;
  font-size: 16px;
}

.header_ {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  
}

.header_ p {
  font-size: 32px;
  font-weight: bold;
  color: white;
  margin: auto;
  margin-bottom: 40px;
}

.header_ .join_mot {
  width: 200px;
  height: 200px;
  margin: auto;
}

.market-container button {
  background: black;
  border: none;
  outline: none;
  width: 90%;
  padding: 10px;
  color: white;
}

#tiktok, #x, #telegram, #youtube {
  width: 100%;
  height: 100%;overflow: scroll;
  position: fixed;
  top: 0;
  left: 0;
  background: black;display: none;
}

#tiktok p , #x p, #telegram p, #youtube p{
  font-size: 25px;
  margin: auto;
  position: relative;
  left: 50%;
  transform: translateX(-50%);
  margin-top: 10px;
  top: 40px;width: 80%;
}

#tiktok img , #x img, #telegram img, #youtube img{
  top: 40px;
  width: 150px;
  position: relative;
  left: 50%;
  transform: translateX(-50%);
  height: 150px;
  margin: auto;
}

#tiktok input , #x input, #telegram input, #youtube input {
  width: 80%;
  padding: 15px 10px;
  border: none;
  outline: none;
  background: #2a2a2a;
  color: white;
  border-radius: 15px;
  position: relative;
  left: 50%;
  transform: translateX(-50%);margin-top: 100px;margin-bottom: 40px;
}

#tiktok button , #x button, #telegram button, #youtube button {
  width: 80%;
  padding: 15px 0;
  border: none;
  outline: none;
  background: #ff1189;
  color: black;
  font-weight: bold;
  border-radius: 10px;
  margin: 10px auto;
  position: relative;
  left: 50%;
  transform: translateX(-50%);
}
#tiktok button:nth-child(even) , #x button:nth-child(even), #telegram button:nth-child(), #youtube button:nth-child(even){
 margin-bottom: 90px;
}
.status {
  
}

.close {
  background: var(--background);
  padding: 5px;
  position: absolute;
  top: 10px;
  left: 10px;
    }
